Get the shot tasks of an episode

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/episodes/{episode_id}/shot-tasks

Get the tasks of the shots of an episode. Vendors cannot use this route.

Path parameters

  • episode_id string(uuid) Required

    Unique identifier of the episode

Responses

  • 200 application/json

    The list of tasks

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • task_type_id string(uuid)
    • entity_id string(uuid)
    • task_status_id string(uuid)
  • 403

    You do not have access to this project, or you are a vendor

  • 404

    The episode does not exist

GET /data/episodes/{episode_id}/shot-tasks
curl -X GET "http://api.example.com/data/episodes/a24a6ea4-ce75-4665-a070-57453082c25/shot-tasks" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/episodes/a24a6ea4-ce75-4665-a070-57453082c25/shot-tasks"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "EP01 Layout",
    "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
    "entity_id": "c24a6ea4-ce75-4665-a070-57453082c250",
    "task_status_id": "d24a6ea4-ce75-4665-a070-57453082c250"
  }
]